import { requestClient } from '#/api/request';
import type { UserInfo,AdminLog } from '#/model/admin.user';

export interface UserParam {
  uid: string;
}
export async function getAdminInfoApi(param: UserParam) {
  return requestClient.post<UserInfo>('/admin/info', param);
}

export async function getAdminListApi() {
  return requestClient.post<UserInfo[]>('/admin/list');
}

export async function getAdminLogListApi() {
  return requestClient.post<AdminLog[]>('/admin/log/list');
}


export async function addAdminApi(param: UserInfo) {
  return requestClient.post<UserInfo>('/admin/add', param);
}
